<!--
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
-->

<div #emailDistributionEntryFormContainer class="col-md-4 email-distribution-entry-container">
  <form #emailDistributionEntryForm="ngForm" (change)="onEmailDistributionEntryFormValidation(emailDistributionEntryForm.form.valid)"
    style="width: 100%">
    <fieldset class="form-group" disabled="{{ readOnlyForm || sessionContext.isLocked() ? 'disabled' : ''}}">
      <div class="row">
        <div class="col-md-12">
          <label class="form-field-label" for="emailAddressControl">E-Mail-Adresse</label>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <input autofocus maxlength="256" type="text" name="emailAddress" id="emailAddress" class="form-control" list="emailsFromGridMeasure"
            [(ngModel)]="emailDistributionEntry.emailAddress" pattern="^[_A-Za-z0-9-+]+(\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\.[A-Za-z0-9]+)*(\.[A-Za-z]{2,})$"
            autocomplete="off" />
          <datalist id="emailsFromGridMeasure">
            <option *ngFor="let emailString of emailsFromGridMeasure" [ngValue]="emailString">{{emailString}}</option>
          </datalist>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12" style="justify-content: flex-end">
          <button type="button" class="btn btn-success" id="addEmailDistributionEntryBtn" (click)="processAddEmailDistributionEntry(); emailDistributionEntryForm.reset()"
            [disabled]="storageInProgress || readOnlyForm || !emailDistributionEntryForm.form.valid">E-Mail-Adresse
            hinzufügen
            <span class="glyphicon glyphicon-plus" id="addEmailDistributionEntryGlIcon"></span>
          </button>
        </div>
      </div>
    </fieldset>
  </form>
</div>
